#!/usr/bin/perl
open(IN, "./regionlist.dat") or die "cannot open\n";
@data = <IN>;
close(IN);
$count = 0;
foreach(@data){
    chomp($_);
    @subdata = split(/\t/, $_);
    $latitude[$count] =  $subdata[2];
    $longitude[$count] =  $subdata[3];
    $count += 1;
}
print "Content-type: text/html\n\n";
print qq!
    <html>
    <head>
    <META Http-Equiv="Content-Type" Content="text/html;charset=EUC-JP">
    <title>html test</title>
    </head>
    <body>
    <div id="d"></div>
    <div id="e"></div>
    <div id="f"></div>
<p>
ɴ: $latitude[0], $longitude[0]<br>
Į: $latitude[1], $longitude[1]<br>
Τ: $latitude[2], $longitude[2]<br>
: $latitude[3], $longitude[3]<br>
̺: $latitude[4], $longitude[4]<br>
ڻ: $latitude[5], $longitude[5]<br>
</p>
This is a test page for iPhone Geolocation API.
<script type="text/javascript">
    window.onload = function(){
	navigator.geolocation.watchPosition(locupdate, handleError);
    }
function locupdate(pos){
    var d = document.getElementById("d");
    d.innerHTML = "lat: " + pos.coords.latitude;
    var e = document.getElementById("e");
    e.innerHTML = "long: " + pos.coords.longitude;
    var f = document.getElementById("f");
    f.innerHTML = "accuracy: " + pos.coords.accuracy;
}
function handleError(a){
    var d = document.getElementById("d");
    d.innerHTML = "error";
}
</script>
    </body>
    </html>
    !;
exit;
